Skip to main content
GET
/
v1
/
skills
/
{slug}
Get Skill
curl --request GET \
  --url https://api.agentpowers.ai/v1/skills/{slug}
import requests

url = "https://api.agentpowers.ai/v1/skills/{slug}"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.agentpowers.ai/v1/skills/{slug}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
  "slug": "<string>",
  "title": "<string>",
  "description": "<string>",
  "category": "<string>",
  "type": "<string>",
  "price_cents": 123,
  "currency": "<string>",
  "version": "<string>",
  "security_status": "<string>",
  "security_score": 123,
  "download_count": 123,
  "long_description": "<string>",
  "trust_level": "<string>",
  "view_count": 0,
  "install_count": 0,
  "rating_average": 123,
  "rating_count": 0,
  "published_at": "<string>",
  "created_at": "<string>",
  "archived_at": "<string>",
  "author": {
    "display_name": "<string>",
    "github_username": "<string>",
    "display_name_slug": "<string>",
    "avatar_url": "<string>",
    "verified": false
  }
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Path Parameters

slug
string
required

Response

Successful Response

slug
string
required
title
string
required
description
string
required
category
string
required
type
string
required
price_cents
integer
required
currency
string
required
version
string
required
security_status
string
required
security_score
integer
required
download_count
integer
required
long_description
string | null
trust_level
string | null
view_count
integer
default:0
install_count
integer
default:0
rating_average
number | null
rating_count
integer
default:0
published_at
string | null
created_at
string | null
archived_at
string | null
author
AuthorSummary · object | null